# Checklists

Use the `myChecklistItems` to get the list of items registered in the [`createMyChecklistItem`](https://docs.suggestic.com/graphql/query/mutations/tracking/create-my-checklist-item) mutation.

### **Available Fields**

<table data-header-hidden><thead><tr><th width="253.33333333333331">Field</th><th>Type</th><th>Note</th></tr></thead><tbody><tr><td><strong>Field</strong></td><td><strong>Type</strong></td><td><strong>Description</strong></td></tr><tr><td><code>id</code></td><td>ID</td><td>Unique Id of the checklist item</td></tr><tr><td><code>header</code></td><td>String</td><td>Title of the checklist item</td></tr><tr><td><code>tags</code></td><td>String</td><td>Predefined tag to be added.</td></tr><tr><td><code>text</code></td><td>String</td><td>Description of the checklist item</td></tr><tr><td><code>updatedAt</code></td><td>DateTime</td><td>Date and time when the checklist item was updated.</td></tr><tr><td><code>createdAt</code></td><td>DateTime</td><td>Date and time when the checklist item was created.</td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

{% tabs %}
{% tab title="Request" %}

```graphql
{
  myChecklistItems{
    edges{
      node{
        id
        tags
        text
        updatedAt
        createdAt
      }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "myChecklistItems": {
      "edges": [
        {
          "node": {
            "id": "TXlDaGVja2xpc3RJdGVtOjI=",
            "tags": [
              "exercise, diet"
            ],
            "text": "Coach Suggestion",
            "updatedAt": "2022-02-04T15:59:37.974160+00:00",
            "createdAt": "2022-02-04T15:59:37.974133+00:00"
          }
        },
        {
          "node": {
            "id": "TXlDaGVja2xpc3RJdGVtOjE=",
            "tags": [
              "exercise, diet"
            ],
            "text": "Coach Suggestion",
            "updatedAt": "2022-02-04T15:12:34.256727+00:00",
            "createdAt": "2022-02-04T15:12:34.256693+00:00"
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/tracking/checklists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
